1. Event Types
Jicoo Developer Potal
  • Create powerful apps with Jicoo's API
  • Quick start
  • Authentication
  • Errors
  • Versioning
  • Types
  • API Reference Overview
  • Guide
    • How to use webhook
    • How to use Account integration
  • Guide(Japanese)
    • アカウント連携の使い方
    • Webhookの使い方
    • ホストの優先度を更新する方法
  • API Reference
    • Jicoo API
    • Webhook Schema
      • Webhook schema
      • event property
      • createdAt property
      • object property
      • contact property
      • answers property
      • answers items property
      • tracking property
    • Booking
      • List Bookings
      • Get Booking
      • Cancel Booking
      • Reschedule Booking
      • Create Booking
      • Update Booking
      • Get Booking Contacts
    • Schedule
      • Update Schedule
      • Create Schedule
      • List Schedules
      • Delete Schedule
    • Availability
      • List User Availability Calendars
      • Get User Availability Calendar
    • Oraganization
      • User
        • List Organization Users
        • Delete Organization User
        • Get Organization User
        • Update Organization User
      • Invitation
        • Create Organiztion Invitation
        • List Organization Invitations
        • Get Organization Invitation
        • Delete Organiztion Invitation
      • Get Organization Team
    • Event Types
      • Get Event Type
      • List Event Types
      • List Event Type Hosts
      • Get Event Type Available Schedules
      • Account Integration
      • Update Event Type Host
      • Delete Event Type Host
      • Create Event Type Host
      • Delete Event Type Host Assign Rule
      • Update Event Type Host Assign Rule
      • Create Event Type Host Assign Rule
      • List Event Type Host Assign Rules
  • Webhook Endpoints
    • List webhook endpoints
      GET
    • Create a webhook endpoint
      POST
    • Get a webhook endpoint
      GET
    • Update a webhook endpoint
      PATCH
    • Delete a webhook endpoint
      DELETE
  • Booking Meeting Intelligence
    • List recaps for a booking
    • List transcripts for a booking
    • List recordings for a booking
  • Event Types
    • Update an event type
      PATCH
    • Create an event type
      POST
    • Delete an event type
      DELETE
  • Schemas
    • Booking
    • OrganizationUser
    • OrganizationInvitation
    • UserAvailabilityCalendar
    • OrganizationTeam
    • EventType
    • Host
    • Pagination
    • AvailableSchedule
    • BookingRecapSummary
    • BookingTranscriptSpeakerTimelineSegment
    • BookingRecording
    • EventTypeUpdateRequest
    • EventTypeCreateRequest
    • WebhookEndpointPublicCreateBody
    • BookingRecapRisk
    • BookingTranscript
    • BookingRecordingResponse
    • EventTypeCreateEventType
    • GeneratedEventTypeUpdateRequest
    • EventTypeUpdateLocation
    • EventTypeCreateLocation
    • WebhookEndpointPublicUpdateBody
    • BookingRecap
    • ErrorEnvelope
    • EventTypeUserUpdate
    • BookingTranscriptResponse
    • BookingRecapResponse
    • WebhookEndpointCreateResponse
    • EventTypeUserCreate
    • EventTypeUpdateForm
    • WebhookEndpoint
    • EventTypeUpdateWorkflow
    • EventTypeUpdateHostAssignRule
    • EventTypeCalendarCreateBody
    • EventTypeCalendarCreate
    • EventTypeNotification
    • EventTypeSettingCreateBody
    • EventFormCreateBody
    • EventTypeTransparencyKeywordCreateBody
    • EventTypeCreateHostAssignRule
    • Schedule
    • EmptySuccessResponse
    • ErrorResponse
    • Booking Contact
    • HostAssignRule
  1. Event Types

Create an event type

POST
/v1/event_types
Creates a standard event type. Authentication supports x-jicoo-api-key or Authorization: Bearer .... X-Jicoo-Team is required when using Bearer authentication. Request body is flat (no eventType wrapper).

Request

Authorization
API Key
Add parameter in header
x-jicoo-api-key
Example:
x-jicoo-api-key: ********************
or
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Header Params

Body Params application/jsonRequired

Example
{
    "name": "30min intro call",
    "description": "Introductory call for new prospects",
    "slug": "intro-call",
    "duration": 30,
    "intervalMinutes": 30,
    "maxCapacity": 1,
    "bufferBefore": 0,
    "bufferAfter": 0,
    "availableUserType": "all",
    "hostAssignType": "hostAssignRule",
    "roundRobinAllocateType": "allocateWeighting",
    "rescheduleType": "reassign",
    "location": {
        "isZoom": true,
        "phoneType": "none"
    },
    "eventTypeUsers": [
        {
            "userId": "user_uid_1",
            "role": "admin",
            "userType": "host",
            "priority": 0
        }
    ],
    "form": {
        "workflows": [
            {
                "uid": "wf_name",
                "workflowType": "name",
                "content": "Name",
                "isRequired": true
            },
            {
                "uid": "wf_email",
                "workflowType": "email",
                "content": "Email",
                "isRequired": true
            },
            {
                "uid": "wf_team_size",
                "workflowType": "dropdown",
                "content": "Team size",
                "isRequired": true,
                "choices": [
                    {
                        "uid": "c_1_10",
                        "value": "1-10"
                    },
                    {
                        "uid": "c_11_50",
                        "value": "11-50"
                    },
                    {
                        "uid": "c_51_plus",
                        "value": "51+"
                    }
                ]
            }
        ]
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1/event_types' \
--header 'X-Jicoo-Team;' \
--header 'x-jicoo-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "30min intro call",
    "description": "Introductory call for new prospects",
    "slug": "intro-call",
    "duration": 30,
    "intervalMinutes": 30,
    "maxCapacity": 1,
    "bufferBefore": 0,
    "bufferAfter": 0,
    "availableUserType": "all",
    "hostAssignType": "hostAssignRule",
    "roundRobinAllocateType": "allocateWeighting",
    "rescheduleType": "reassign",
    "location": {
        "isZoom": true,
        "phoneType": "none"
    },
    "eventTypeUsers": [
        {
            "userId": "user_uid_1",
            "role": "admin",
            "userType": "host",
            "priority": 0
        }
    ],
    "form": {
        "workflows": [
            {
                "uid": "wf_name",
                "workflowType": "name",
                "content": "Name",
                "isRequired": true
            },
            {
                "uid": "wf_email",
                "workflowType": "email",
                "content": "Email",
                "isRequired": true
            },
            {
                "uid": "wf_team_size",
                "workflowType": "dropdown",
                "content": "Team size",
                "isRequired": true,
                "choices": [
                    {
                        "uid": "c_1_10",
                        "value": "1-10"
                    },
                    {
                        "uid": "c_11_50",
                        "value": "11-50"
                    },
                    {
                        "uid": "c_51_plus",
                        "value": "51+"
                    }
                ]
            }
        ]
    }
}'

Responses

🟢201
application/json
Event type created successfully.
Body

Example
{
    "data": {
        "uid": "string",
        "slug": "string",
        "name": "string",
        "description": "string",
        "coverImage": "string",
        "color": "string",
        "duration": 0,
        "status": "enable",
        "internalNote": "string",
        "locations": [
            {
                "locationId": "inPerson"
            }
        ],
        "questions": [
            {
                "property1": "string",
                "property2": "string"
            }
        ],
        "services": [
            {
                "property1": "string",
                "property2": "string"
            }
        ],
        "paymentMethods": [
            {
                "methodType": "none"
            }
        ],
        "availableUserType": "all",
        "hostAssignType": "none",
        "hostAssignRules": [
            {
                "property1": "string",
                "property2": "string"
            }
        ],
        "createdAt": "2019-08-24T14:15:22.123Z",
        "updatedAt": "2019-08-24T14:15:22.123Z"
    }
}
🟠400InvalidParams
🟠401UnauthorizedError
🟠403ForbiddenError
🟠405MethodNotAllowedError
🔴500InternalServerError
Modified at 2026-04-20 12:12:19
Previous
Update an event type
Next
Delete an event type
Built with